import request from '@/utils/axios'

// 登入接口
export function loginByUsername(username, password) {
    const data = {
        username,
        password
    }
    return request({
        url: '/login/',
        method: 'post',
        data
    })
}

// 登出接口，需要token请求头会自动带上
export function logout() {
    return request({
        url: '/logout/',
        method: 'post'
    })
}

export function getRolesMenu() {
    return request({
        url: '/basic/user/menu/',
        method: 'get'
    })
}