import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export const constantRoutes = [
    {
        path: '/home',
        name: 'home',
        title: '首页',
        component: () => import('@/views/home/home')
    },
    {
        path: '/book-create',
        name: 'bookc',
        title: '图书',
        component: () => import('@/views/book/create'),
    }
    // ,{
    //     path: '/work',
    //     name: 'work',
    //     title: '作业',
    //     component: () => import('@/views/work/work')
    // }, {
    //     path: '/report',
    //     name: 'report',
    //     title: '日报',
    //     component: () => import('@/views/report/report')
    // }, {
    //     path: '/tree',
    //     name: 'treeWork',
    //     title: 'Tree树形控件',
    //     component: () => import('@/views/treeDemo/tree')
    // }, {
    //     path: '/treeandtable',
    //     name: 'treeAndTable',
    //     title: '7-22作业',
    //     component: () => import('@/views/treeAndTable/tree_and_table')
    // }, {
    //     path: '/payment',
    //     name: 'payment',
    //     title: '支出',
    //     component: () => import('@/views/payment/payment'),
    // }, {
    //     path: '/map',
    //     name: 'map',
    //     title: '温州地图',
    //     component: () => import('@/views/map/wenzhou_map')
    // }, {
    //     path: '/map',
    //     name: 'map',
    //     title: '温州地图',
    //     component: () => import('@/views/map/wenzhou_map')
    // }, {
    //     path: '/zctjbb',
    //     name: 'zctjbb',
    //     title: '支出统计报表',
    //     component: () => import('@/views/zctjbb/zctjbb')
    // }


]

export default new Router({
    mode: 'history',
    base: process.env.BASE_URL,
    scrollBehavior: () => ({ y: 0 }),
    routes: constantRoutes
})